//-------------------------------------------------------//
// Author:Rodolfo Machon
// Company:WebSoft, SA de CV 
// Nombre del archivo: inmueble_abonos_modificar_asws.js
// Created: 2015-11-01
// Updates: 2015-11-01
//-------------------------------------------------------//
//-------------------------------------------------------//
var weekdays 	= new Array("Domingo", "Lunes", "Martes", "Miercoles", "Jueves", "Viernes", "Sabado");
var months 		= new Array("Enero", "Febrero", "Marzo", "Abril", "Mayo", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre");
var today 		= new Date();
var weekday 	= today.getDay();
var monthday 	= today.getDate();
var month 		= today.getMonth();
var year 		= today.getFullYear();
var weekday		= weekdays[weekday];
var month 		= months[month];
var dateString	= (String(weekday))+" "+(String(monthday))+" de "+(String(month))+" de "+(String(year));
var Prop		= document.form.propietarios.value;
var isIE 		= document.all?true:false;
var isNS 		= document.layers?true:false;
var exp_id		= document.form.i8_expediente_id.value;	
var appid		= document.data.appid.value;
var lan			= document.data.lan.value;
var AbrirWindow	= new Object();
var xmlHttp11;
var xmlHttpStream11;
//-------------------------------------------------------//
window.onload = function(){
	var w = document.form.width.value;
	var h = document.form.height.value;
	document.form.fecha_emision.value 		= dateString;
	//document.form.fecha_vencimiento.value	= dateString;	
	document.form.dt_vencimiento.value 		= GetFechaHoy();

	window.resizeTo(w,h);
	GetPageParams();	
	CapturarUsuario();
}
//-------------------------------------------------------//
if (window.ActiveXObject){
	var Propietarios = new ActiveXObject("Microsoft.XMLDOM");
	Propietarios.async=false;
	Propietarios.loadXML(Prop);
}else if (document.implementation && document.implementation.createDocument){
	var Propietarias = document.implementation.createDocument("","",null);
	Propietarios= document.implementation.createDocument("","",null);
	Propietarios.loadXML(Prop);
}else{
	alert('Your browser cannot handle this script');
}
function onlyDigits(e,decReq) {
	var key = (isIE) ? window.event.keyCode : e.which;
	var obj = (isIE) ? event.srcElement : e.target;
	var isNum = (key > 47 && key < 58) ? true:false;
	var dotOK = (key==46 && decReq=='decOK' && (obj.value.indexOf(".")<0 || obj.value.length==0)) ? true:false;
	window.event.keyCode = (!isNum && !dotOK && isIE) ? 0:key;
	e.which = (!isNum && !dotOK && isNS) ? 0:key;
	return (isNum || dotOK);
}
function CapturarUsuario(){
    var URL     = "/cgi-bin/"+appid+"/pl/capturar_usuario.pl?appid="+appid+"&lan="+lan+"&id="+exp_id;
    xmlHttp11	= GetXmlHttpObject(stateChangedCapturarUsuario);
    xmlHttp11.open("GET",URL,true) ;
    xmlHttp11.send(null);
}
function stateChangedCapturarUsuario(){
    if (xmlHttp11.readyState==4 || xmlHttp11.readyState=="complete"){ 
        xmlHttpStream11=xmlHttp11.responseText;
		//alert(xmlHttpStream11);
        if (xmlHttpStream11!="false" && xmlHttpStream11!=""){
			var respuesta	= xmlHttpStream11;
			var respuestas	= respuesta.split("|");
			var usuario		= respuestas[0];
			var fin  		= respuestas[1];
			var ultima_modificacion  = respuestas[2];
			document.form.v128_usuario.value = usuario;
			document.form.dt_ultima_modificacion.value = ultima_modificacion;
        }
    } 
}
//-------------------------------------------------------//
function ActivarOpciones() {
	if (document.all.opciones_div.style.display=='inline') {
		document.all.opciones_div.style.display	= 'none';
    }else{
		document.all.opciones_div.style.display	= 'inline';		
	}
}
function EliminarCompensaciones(){
	var id = "{i8_inmueble_id}";
    winame="eliminar_compensaciones";
    if (!AbrirWindows[winame] || AbrirWindows[winame].closed){
        win ="window.open('/cgi-bin/"+appid+"/pl/eliminar_abonos_compensaciones_s.pl?appid="+appid+"&lan="+lan+"&clase=inmueble&id="+id+"','"+winame+"','left=0,top=0,width=100,height=100,resizable=yes,scrollbars=yes')";
        AbrirWindows[winame]=eval(win);
    }
    else{AbrirWindows[winame].focus()}
}
//-------------------------------------------------------//
function OpenRow(objRef){
	var chk_name	= objRef.name;
	var chk_indx	= objRef.name.split("_");
	var Rows	= GridData.split("~~");
	var RowColsData	= GetRowColsData(Rows[chk_indx[1]-1]).split("^^");
	var RowRCD1	= RowColsData[0].split("|");
	var RowVTar1	= RowColsData[1].split("|");
	var RowITar1	= RowColsData[2].split("|");
	var ATributos	= Tributos.split("|");
	for (var p=0;p<ATributos.length-1;p++ ) {
		var ATributoMembers = ATributos[p].split(",");
		var Trib = ATributoMembers[0].substr(0,8);
		if(!eval("document.form."+chk_name+".checked")){
		}else{
			if(RowVTar1[p]){
				if(RowVTar1[p]==""){RowVTar1[p]="0.0000"}
			}else{
			}
		}
	}
	var AAccesorios = Accesorios.split("|");
	for (var q=0;q<AAccesorios.length-1;q++ ) {
		var AAccesorioMembers = AAccesorios[q].split(",");
		var Acce = AAccesorioMembers[0].substr(5,3);
		if(!eval("document.form."+chk_name+".checked")){
		}else{
			if(RowRCD1[q+2]==""){RowRCD1[q+2]="0.0000"}
		}
	}
	var RowStream	= GetRowDefinition('GridBodyXML','body').split("^^");
	var RowDef	= RowStream[0];
	var RowStyle	= RowStream[1];
	var RowPro	= RowStream[2];
	CalculateRow(chk_indx[1],RowPro);
        var tables;
        
        var i8_periodo=RowRCD1[0];
        var tributo=RowITar1[0];
	if (!tables || tables.closed){
		tables =     window.open("../pl/rcrd_pl.pl?lan=es&appid=RTM_LaHerradura&id={i8_inmueble_id}&i8_periodo="+i8_periodo,"Abonos","top=50,left=50 width=600,height=180,resizable=no,status=no,scrollbars=no");
	}else{tables.focus()}
}

